# 《HelloGitHub》第 01 期
>兴趣是最好的老师，**HelloGitHub** 就是帮你找到兴趣！
<p align="center">
    <img src='https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/hello-github.jpg' style="max-width:100%;"></img>
</p>

## 简介
分享 GitHub 上有趣、入门级的开源项目。

这是一个面向**编程新手**、**热爱编程**、**对开源社区感兴趣** 人群的月刊，月刊的内容包括：**各种编程语言的项目**、**让生活变得更美好的工具**、**书籍、学习笔记、教程等**，这些开源项目大多都是非常容易上手，而且非常 Cool。主要是希望大家能动手用起来，加入到**开源社区**中。
- 会编程的可以贡献代码
- 不会编程的可以反馈使用这些工具中的 Bug
- 帮着宣传你觉得优秀的项目
- Star 项目⭐️

在浏览、参与这些项目的过程中，你将学习到**更多编程知识**、**提高编程技巧**、**找到编程的乐趣**。

🎉 最后 HelloGitHub 这个项目就诞生了 🎉

## 目录
- [CSS 项目](#CSS-项目)
- [JavaScript 项目](#JavaScript-项目)
- [Python 项目](#Python-项目)
- [其它](#其它)
- [开源书籍](#开源书籍)


<p align="center">
  <img src="https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/logo/weixin.png" style="max-width:30%;"></img><br>
欢迎关注 HelloGitHub 公众号，获取更多开源项目的资料和内容。
</p>

## 内容
> **以下为本期内容**｜每个月 **28** 号发布最新一期｜[官网](https://hellogithub.com/)

### CSS 项目
1、[typo.css](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/sofish/typo.css)：中文网页重设与排版，为了一致化浏览器排版效果，构建最适合中文阅读的网页排版。包括桌面和移动平台，[预览](http://typo.sofi.sh/)

<p align="center"><a href="#目录">🔙 返回目录 🔙</a></p><br>

### JavaScript 项目
2、[ant-design](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/ant-design/ant-design)：阿里开源的一套企业级的 UI 设计语言和 React 实现。[中文文档](https://ant.design/docs/react/introduce-cn)，样式偏向于后端，展示效果十分漂亮

3、[VeryNginx](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/alexazhou/VeryNginx)：一个功能强大而对人类友好的 Nginx 扩展程序。[VeryNginx 文档](https://github.com/alexazhou/VeryNginx/blob/master/readme_zh.md)


<p align="center"><img src='https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/VeryNginx-min.jpeg' style="max-width:80%; max-height=80%;"></img></p>

4、[activate-power-mode](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/disjukr/activate-power-mode)：爆炸输入效果，[在线演示](http://0xabcdef.com/activate-power-mode/)


<p align="center"><img src='https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/activate-power-mode.gif' style="max-width:80%; max-height=80%;"></img></p>

<p align="center"><a href="#目录">🔙 返回目录 🔙</a></p><br>

### Python 项目
5、[awesome-python-webapp](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/michaelliao/awesome-python-webapp)：廖老师的 Python 入门教程中的实践项目的代码，[教程在线阅读](http://www.liaoxuefeng.com/wiki/001374738125095c955c1e6d8bb493182103fac9270762a000/001397616003925a3d157284cd24bc0952d6c4a7c9d8c55000)

6、[Minos](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/phith0n/Minos)：一个基于 Tornado/MongoDB/Redis 的社区系统

7、[tushare](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/waditu/tushare)：TuShare 是一个免费、开源的 Python 财经数据接口包，[TuShare 文档](http://tushare.org/index.html)


<p align="center"><img src='https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/TuShare-min.png' style="max-width:80%; max-height=80%;"></img></p>

8、[beijing_bus](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/wong2/beijing_bus)：北京实时公交，可以显示查询的公交到达某站还需多久


<p align="center"><img src='https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/%E5%8C%97%E4%BA%AC%E5%AE%9E%E6%97%B6%E5%85%AC%E4%BA%A4.gif' style="max-width:80%; max-height=80%;"></img></p>

<p align="center"><a href="#目录">🔙 返回目录 🔙</a></p><br>

### 其它
9、[archey-osx](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/obihann/archey-osx)：命令行中显示 Mac OS X 计算机的基本信息


<p align="center"><img src='https://raw.githubusercontent.com/521xueweihan/img/master/hellogithub/01/img/Archey%20for%20OS%20X-min.png' style="max-width:80%; max-height=80%;"></img></p>

10、[Learning-SICP](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/DeathKing/Learning-SICP)：《计算机程序的构造和解释》公开课

11、[awesome-python-cn](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/jobbole/awesome-python-cn)：awesome-python 中文版

12、[github](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/phodal/github)：《GitHub 漫游指南》该指南能够让新手学会如何使用 GitHub 网站，从而加入到开源社区。phodal 从他和 GitHub 的青涩故事写起，全方位地介绍了 GitHub 这个网站，以及如何合理地使用这个网站

<p align="center"><a href="#目录">🔙 返回目录 🔙</a></p><br>

### 开源书籍
13、[interpy-zh](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/eastlakeside/interpy-zh)：《Python 进阶中文版》，[在线阅读](https://eastlakeside.gitbooks.io/interpy-zh/content/)

14、[python3-cookbook](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/yidao620c/python3-cookbook)：《Python Cookbook 3rd 中文版》，[在线阅读](http://python3-cookbook.readthedocs.org/zh_CN/latest/)

15、[Python-Guide-CN](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/Prodesire/Python-Guide-CN)：《Python 最佳实践指南中文版》，[在线阅读](http://pythonguidecn.readthedocs.io/zh/latest/)

16、[design_patterns](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/me115/design_patterns)：《图说设计模式》，[在线阅读](https://design-patterns.readthedocs.io/zh_CN/latest/index.html#)

17、[linuxtools_rst](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/me115/linuxtools_rst)：《Linux 工具快速教程》，[在线阅读](http://linuxtools-rst.readthedocs.io/zh_CN/latest/)

18、[the_new_world_linux](https://hellogithub.com/periodical/statistics/click/?target=https://github.com/yangyangwithgnu/the_new_world_linux)：《Linux 下的惬意生活》，[在线阅读](https://github.com/yangyangwithgnu/the_new_world_linux#目录)

<p align="center"><a href="#目录">🔙 返回目录 🔙</a></p><br>



<p align="center">
    『上一期』 | <a href='https://github.com/521xueweihan/HelloGitHub/issues/673'>反馈和建议</a> | <a href="https://github.com/521xueweihan/HelloGitHub/blob/master/content/02/HelloGitHub02.md">『下一期』</a>
</p>

---
<p align="center">
    看完了，还不够？<a href='https://github.com/ruanyf/weekly'><科技爱好者周刊></a>。还不过瘾，那就看看每天更新的前端日报吧 <a href='https://daily.fairyever.com/'><今日前端></a><br>
    <a href='https://github.com/521xueweihan/HelloGitHub/issues/new'>点击分享发现的有趣项目</a>
</p>


## 声明
<a rel="license" href="https://creativecommons.org/licenses/by-nc-nd/4.0/deed.zh"><img alt="知识共享许可协议" style="border-width: 0" src="https://licensebuttons.net/l/by-nc-nd/4.0/88x31.png"></a><br>本作品采用 <a rel="license" href="https://creativecommons.org/licenses/by-nc-nd/4.0/deed.zh">署名-非商业性使用-禁止演绎 4.0 国际</a> 进行许可。
